> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get unbilled revenue

> Get revenue accrued on a subscription's current open invoice.



## OpenAPI

````yaml get /v1/accounting/revrec/unbilled
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/accounting/revrec/unbilled:
    get:
      tags:
        - Accounting > Revenue recognition
      summary: Get unbilled revenue
      description: Get revenue accrued on a subscription's current open invoice.
      operationId: getUnbilledRevenue
      parameters:
        - schema:
            type: string
            description: Subscription identifier.
          required: true
          description: Subscription identifier.
          name: subscription_id
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingUnbilledRevenue'
      security:
        - bearer: []
components:
  schemas:
    AccountingUnbilledRevenue:
      type: object
      properties:
        subscription_id:
          type: string
          description: Subscription identifier.
        open_invoice_id:
          type:
            - string
            - 'null'
          description: Current open invoice identifier.
        invoice_status:
          type:
            - string
            - 'null'
          description: Current invoice status.
        currency:
          type:
            - string
            - 'null'
          description: ISO 4217 subscription currency.
        amount_excluding_tax:
          type: string
          description: Total accrued usage amount excluding tax.
        period_start:
          type:
            - string
            - 'null'
          format: date
          description: Inclusive accrual-period start timestamp.
        period_end:
          type:
            - string
            - 'null'
          format: date
          description: Inclusive accrual-period end timestamp.
        line_items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Invoice line-item identifier.
              name:
                type: string
                description: Invoice line-item name.
              amount_excluding_tax:
                type: string
                description: Accrued line-item amount excluding tax.
              period_start:
                type:
                  - string
                  - 'null'
                format: date
                description: Inclusive line-item period start timestamp.
              period_end:
                type:
                  - string
                  - 'null'
                format: date
                description: Inclusive line-item period end timestamp.
            required:
              - id
              - name
              - amount_excluding_tax
              - period_start
              - period_end
          description: Usage line items contributing to unbilled revenue.
      required:
        - subscription_id
        - open_invoice_id
        - invoice_status
        - currency
        - amount_excluding_tax
        - period_start
        - period_end
        - line_items
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````